# サンプルコード

## 環境構築

本文に従って、ライブラリを個別に`pip install`しても実行できます。
しかし、NumPyやpandasはバージョンによる仕様の変化が激しいため、なるべく以下のようにバージョンを固定してインストールすることをおすすめします。

### macOSの場合

```console
$ python3 -m venv venv
$ . venv/bin/activate
(venv) $ pip install -r requirements.txt -c requirements.lock
```

### Windowsの場合

```console
> py -m venv venv
> venv/Scripts/Activate.ps1
(venv) > pip install -r requirements.txt -c requirements.lock
```

## 実行方法

```console
(venv) $ jupyter-lab
```

あとはWebブラウザ上に表示された JupyterLab の画面で `sample.ipynb` を開いてください。
